渐开线的公式和画法
<P>渐开线的公式是</P><P>x=r(cos(theta)+theta*sin(theta))</P>
<P>y=r(sin(theta)-theta*sin(theta))</P>
<P>r - 基圆半径</P>
<P>theta - 成形角,弧度值</P>
<P>在不同theta时算出x和y即可。</P>
<P>我用Autolisp做了个程序,希望对大家有用。欢迎大家讨论。这里用的极坐标。</P>
<P>;*************************************************************************************<BR>;This program is to draw a involute in AutoCAD, anyone can use it freely without permission.<BR>;Take the risk youself, suggest you to open a new drawing and run this program first, then<BR>;copy it to your drawing.<BR>;Chen Xiangsong<BR>;<BR>;Distance Offset: means when you draw a curve rather than a standard involute.<BR>; it starts to draw the curve not from the base circle.<BR>; it is curtate or prolate involute. it is useful as you draw gear root.<BR>; standard involute, enter 0<BR>;<BR>;Radius of Base Circle: You have to know the meaning, or the program is useless to you<BR>;<BR>;Angle to go: means the length of involute you want. in degrees. it is not pressure<BR>; angle, it is the pressure angle add involute Phi.<BR>;<BR>;Accurancy: the density of points you want on the curve, the smaller the more accurate.<BR>; but will slow down your pc's speed. I normally enter 0.01<BR>;<BR>;Center of Curve: PLEASE PICK A POINT ON THE SCREEN RANDOMLY, IT IS VERY IMPORTANT.<BR>; DON'T PICK A SPECIAL POINT. That's the disadvantage of my program.</P>
<P> </P>
<P>(defun c:involute ()<BR>(command "_undo" "be")<BR>(setq os (getvar "osmode"))<BR>(setvar "osmode" 0)<BR>(setq q 0)<BR>(setq f 0)<BR>(setq h (getreal "\nDistance Offset:"))<BR>(setq r (getreal "\nRadius of Base Circle:"))<BR>(setq t (getreal "\nAngle to go:"))<BR>(setq n (getreal "\nAccurancy:"))<BR>(setq cent (getpoint "\nCenter of Curve:"))</P>
<P>(if (= h 0) (command "pline" (list (+ 0 (car cent)) (cadr cent))<BR> (list (+ (/ r 2) (car cent)) (cadr cent)) ""<BR> )<BR> (command "pline" (setq trimpoint (list (+ h r (car cent)) ((if (> h 0) - +) (cadr cent) (/ r 1))))<BR> (list (+ h r (car cent)) ((if (> h 0) - +) (cadr cent) (/ r 2))) ""<BR> )<BR>)</P>
<P>(while (< f (* t (/ pi 180)))<BR> (setq a (atan (* r f) (+ r h)))<BR> (setq ri (/ (+ r h) (cos a)))<BR> (setq q (- f a))<BR> (setq pt0 (polar cent q ri))<BR> (command "pline" "" pt0 "")<BR> (setq f (+ f n))<BR>)<BR>(command "pedit" (entlast) "j" "all" "" "f" "")<BR>(command "circle" cent r)<BR>(setq bs (entlast))<BR>(command "line" cent (list (+ 1 r h (car cent)) (cadr cent)) "")<BR>(setq lt (entlast))<BR>(if (= h 0) (command "trim" bs "" cent "")<BR> (command "trim" lt "" trimpoint "")<BR>)<BR>(command "erase" lt "")</P>
<P>(setvar "osmode" os)<BR>(command "_undo" "e")<BR>(princ)<BR>)</P>
Re: 渐开线的公式和画法
ding@Re: 渐开线的公式和画法
应该是y=r(sin(theta)-theta*cos(theta)),请问基圆是不是齿轮的基圆(就是齿轮分度圆半径与cosα的乘积,α是齿轮压力角,标准为20度)?坐标原点在哪?Re: 渐开线的公式和画法
你看的仔细。是写错了。是齿轮的基圆。坐标原点自己点。
Re: 渐开线的公式和画法
我要Re: 渐开线的公式和画法
<P>原帖由 zhiqiu 发表应该是y=r(sin(theta)-theta*cos(theta)),请问基圆是不是齿轮的基圆(就是齿轮分度圆半径与cosα的乘积,α是齿轮压力角,标准为20度)?坐标原点在哪? </P>
<P>呵呵!看的仔细!强!虽然三年以前学过,也编过几个复杂的。但现在还是看不懂了。没精力去搞这个。感觉auto cad 在这方面不是很强。学习探讨一下倒是不错。在实际应用上还是建议使用专业的三维制图软件。</P>
Re: 渐开线的公式和画法
各位老大,我想知道齿轮刀具与被切齿轮啮合时的包络曲线画法,特别是用于校验矩形花键滚刀的齿形设计,谢谢了!跪拜了!hui: xcy889900@163.com
Re: 渐开线的公式和画法
又问:楼主,是否能找到《工具技术》1998年05期刊“修缘插齿刀齿形技术方法”急用!谢谢Re: 渐开线的公式和画法
<P>原帖由 带鱼 发表又问:楼主,是否能找到《工具技术》1998年05期刊“修缘插齿刀齿形技术方法”急用!谢谢 <BR> </P>
<P>和你说的不是完全一样,但是《工具技术》1998年05期的文章也只有这篇了。</P>